Package com.sun.mirror.declaration

## Interface EnumConstantDeclaration

All Superinterfaces:
  `Declaration`, `FieldDeclaration`, `MemberDeclaration`

    public interface EnumConstantDeclaration
    extends FieldDeclaration

Represents an enum constant declaration.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`EnumDeclaration` `getDeclaringType()` Returns the type declaration within which this member or constructor is declared.

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface com.sun.mirror.declaration.FieldDeclaration

`getConstantExpression, getConstantValue, getType`

### Method Detail

#### getDeclaringType

    EnumDeclaration getDeclaringType()

Returns the type declaration within which this member or constructor is declared. If this is the declaration of a top-level type (a non-nested class or interface), returns null.

Specified by:
  `getDeclaringType` in interface `MemberDeclaration`
Returns:
  the type declaration within which this member or constructor is declared, or null if there is none